# IPeripheryPayments

## IPeripheryPayments

Periphery Payments Functions to ease deposits and withdrawals of NativeToken

### Functions

#### unwrapWNativeToken

`unwrapWNativeToken(uint256,address)` payable external

Unwraps the contract's WNativeToken balance and sends it to recipient as NativeToken.

| Name          | Type    | Description                                  |
| ------------- | ------- | -------------------------------------------- |
| amountMinimum | uint256 | The minimum amount of WNativeToken to unwrap |
| recipient     | address | The address receiving NativeToken            |

#### refundNativeToken

`refundNativeToken()` payable external

Refunds any NativeToken balance held by this contract to the \`msg.sender\`

#### sweepToken

`sweepToken(address,uint256,address)` payable external

Transfers the full amount of a token held by this contract to recipient

| Name          | Type    | Description                                                                  |
| ------------- | ------- | ---------------------------------------------------------------------------- |
| token         | address | The contract address of the token which will be transferred to \`recipient\` |
| amountMinimum | uint256 | The minimum amount of token required for a transfer                          |
| recipient     | address | The destination address of the token                                         |

***

## IPeripheryPayments

Periphery Payments Functions to ease deposits and withdrawals of NativeToken

### Functions

#### unwrapWNativeToken

`unwrapWNativeToken(uint256,address)` payable external

Unwraps the contract's WNativeToken balance and sends it to recipient as NativeToken.

| Name          | Type    | Description                                  |
| ------------- | ------- | -------------------------------------------- |
| amountMinimum | uint256 | The minimum amount of WNativeToken to unwrap |
| recipient     | address | The address receiving NativeToken            |

#### refundNativeToken

`refundNativeToken()` payable external

Refunds any NativeToken balance held by this contract to the \`msg.sender\`

#### sweepToken

`sweepToken(address,uint256,address)` payable external

Transfers the full amount of a token held by this contract to recipient

| Name          | Type    | Description                                                                  |
| ------------- | ------- | ---------------------------------------------------------------------------- |
| token         | address | The contract address of the token which will be transferred to \`recipient\` |
| amountMinimum | uint256 | The minimum amount of token required for a transfer                          |
| recipient     | address | The destination address of the token                                         |

***

## IPeripheryPayments

Periphery Payments Functions to ease deposits and withdrawals of NativeToken

### Functions

#### unwrapWNativeToken

`unwrapWNativeToken(uint256,address)` payable external

Unwraps the contract's WNativeToken balance and sends it to recipient as NativeToken.

| Name          | Type    | Description                                  |
| ------------- | ------- | -------------------------------------------- |
| amountMinimum | uint256 | The minimum amount of WNativeToken to unwrap |
| recipient     | address | The address receiving NativeToken            |

#### refundNativeToken

`refundNativeToken()` payable external

Refunds any NativeToken balance held by this contract to the \`msg.sender\`

#### sweepToken

`sweepToken(address,uint256,address)` payable external

Transfers the full amount of a token held by this contract to recipient

| Name          | Type    | Description                                                                  |
| ------------- | ------- | ---------------------------------------------------------------------------- |
| token         | address | The contract address of the token which will be transferred to \`recipient\` |
| amountMinimum | uint256 | The minimum amount of token required for a transfer                          |
| recipient     | address | The destination address of the token                                         |

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.algebra.finance/algebra-integral-documentation/algebra-v1-technical-reference/contracts/api-reference-v1.0/v1.0-periphery/iperipherypayments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
